Project

General

Profile

Bug #640826

CMake issue with Boost 1.63

Added by Felix Höfling 8 months ago. Updated 4 months ago.

Status:
Closed
Priority:
Low
Assignee:
-
Target version:
-
Start date:
Due date:
% Done:

0%


Description

Configuring with CMake 3.5 and Boost 1.63 generates the following warning:

CMake Warning at .../cmake-3.5.2/share/cmake-3.5/Modules/FindBoost.cmake:725 (message):
  Imported targets not available for Boost version 106300
Call Stack (most recent call first):
  .../cmake-3.5.2/share/cmake-3.5/Modules/FindBoost.cmake:763 (_Boost_COMPONENT_DEPENDENCIES)
  .../cmake-3.5.2/share/cmake-3.5/Modules/FindBoost.cmake:1315 (_Boost_MISSING_DEPENDENCIES)
  CMakeLists.txt:145 (find_package)

History

#1 Updated by Daniel Kirchner 4 months ago

  • Status changed from New to Closed

This is due to the cmake modules for finding boost in cmake 3.5 not completely supporting boost 1.63. The issue does not affect the build and is resolved with cmake 3.7.

Also available in: Atom PDF